#
# spec file for package ffmpeg
#
# Copyright (c) 2015 Packman Team <packman@links2linux.de>
# Copyright (c) 2002-2014 Manfred Tremmel <manfred@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


%define lib              libffmpeg
%define majoravcodec     56
%define libavcodec       libavcodec
%define libnameavcodec   %{libavcodec}%{majoravcodec}
%define majoravdevice    56
%define libavdevice      libavdevice
%define libnameavdevice  %{libavdevice}%{majoravdevice}
%define majoravformat    56
%define libavformat      libavformat
%define libnameavformat  %{libavformat}%{majoravformat}
%define majoravutil      54
%define libavutil        libavutil
%define libnameavutil    %{libavutil}%{majoravutil}
%define majoravfilter    5
%define libavfilter      libavfilter
%define libnameavfilter  %{libavfilter}%{majoravfilter}
%define majorpostproc    53
%define libpostproc      libpostproc
%define libnamepostproc  %{libpostproc}%{majorpostproc}
%define majorswscale     3
%define libswscale       libswscale
%define libnameswscale   %{libswscale}%{majorswscale}
%define majorswresample  1
%define libswresample    libswresample
%define libnameswresample %{libswresample}%{majorswresample}
%define majoravresample  2
%define libavresample    libavresample
%define libnameavresample %{libavresample}%{majoravresample}
%define lastrelease      2.6.3
%bcond_without  avfilter
%bcond_without  libvpx
%bcond_with     libfaac
%bcond_with     libopenjpeg
%if 0%{?suse_version} >= 1140
%bcond_without  pulse
%else
%bcond_with     pulse
%endif
%bcond_with     libfdk_aac
Name:           ffmpeg
Version:        %{lastrelease}
Release:        1.2
# Depends on what part you use. We're GPL 'cause we didn't build with faac for now.
License:        LGPL-2.1+ or GPL-2.0+
Summary:        Hyper fast MPEG1/MPEG4/H263/RV and AC3/MPEG audio encoder
Summary(de):    Hyperschneller MPEG1/MPEG4/H263/RV Und AC3/MPEG Audio-Encoder
Url:            http://www.ffmpeg.org
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source0:        http://www.ffmpeg.org/releases/ffmpeg-%{version}.tar.bz2
Source1:        ffmpeg.rpmlintrc
Source2:        baselibs.conf
Source3:        %{name}.changes
# PATCH-FIX-openSUSE - remove build date from binaries / documentation to avoid republishing - seife+obs@b1-systems.de
Patch1:         ffmpeg-remove-builddate.patch
Patch2:         ffmpeg-libcdio_cdda-pkgconfig.patch
Patch6:         ffmpeg-2.4.5-arm6l.patch
# Backported patch to remove erroneous messages from the log while playing HEVC media
Patch7:         ffmpeg-hevc-log.patch
BuildRequires:  SDL-devel
BuildRequires:  alsa-devel
BuildRequires:  freetype2-devel
%if 0%{?suse_version} > 1110 
BuildRequires:  frei0r-plugins-devel
%endif
BuildRequires:  libcdio-paranoia-devel
BuildRequires:  imlib2-devel
BuildRequires:  libass-devel
BuildRequires:  libdc1394-devel
%if %{with libfaac}
BuildRequires:  libfaac-devel >= 1.28
%endif
%if %{with libfdk_aac}
BuildRequires:  fdk-aac-devel
%endif
BuildRequires:  ladspa-devel
%if 0%{?suse_version} != 1140
BuildRequires:  libcelt-devel  >= 0.11.0
%endif
BuildRequires:  libgnutls-devel
BuildRequires:  libgsm-devel
BuildRequires:  libjack-devel
BuildRequires:  libmp3lame-devel
BuildRequires:  libogg-devel
BuildRequires:  liboil-devel >= 0.3.15
BuildRequires:  libopencore-amr-devel
%if %{with libopenjpeg}
BuildRequires:  openjpeg-devel
%endif
%if 0%{?suse_version} >= 1140
BuildRequires:  libopus-devel
%else
BuildRequires:  enca-devel
BuildRequires:  fontconfig-devel >= 2.4.2
BuildRequires:  fribidi-devel >= 0.19.0
%endif
%if %{with pulse}
BuildRequires:  libpulse-devel
%endif
BuildRequires:  librtmp-devel
BuildRequires:  libtheora-devel >= 1.1
BuildRequires:  libtwolame-devel
BuildRequires:  libva-devel
BuildRequires:  libvdpau-devel
BuildRequires:  libvo-aacenc-devel
BuildRequires:  libvorbis-devel
%if %{with libvpx}
%ifarch %ix86 x86_64 amd64 ia32e %{arm}
BuildRequires:  libvpx-devel >= 1.3.0
%endif
%endif
%if 0%{?suse_version} > 1140
BuildRequires:  libwebp-devel
%endif
BuildRequires:  libx264-devel
BuildRequires:  libx265-devel
BuildRequires:  libxvidcore-devel
BuildRequires:  ncurses-devel
BuildRequires:  schroedinger-devel
BuildRequires:  slang-devel
BuildRequires:  speex-devel
BuildRequires:  texinfo
BuildRequires:  xorg-x11-devel
BuildRequires:  yasm
BuildRequires:  zlib-devel
Requires:       %{libnameavcodec} = %{version}
Requires:       %{libnameavdevice} = %{version}
Requires:       %{libnameavformat} = %{version}
Requires:       %{libnameavresample} = %{version}
Requires:       %{libnameavutil} = %{version}
Requires:       %{libnamepostproc} = %{version}
Requires:       %{libnameswresample} = %{version}
Requires:       %{libnameswscale} = %{version}
Provides:       libav = %{version}
Obsoletes:      libav < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ffmpeg is a hyper fast realtime audio/video encoder, a streaming  server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

%description -l de
ffmpeg ist ein hyperschneller realtime Audio-/Video-Encoder, ein Streaming
Server und ein Audio und Video Dateikonverter.

Es kann von einer Standard-Video4Linux-Quelle grabben und in verschiedene
Dateiformate basierend auf einer DCT/motion compensation konvertiern.
Sound wird in einen MPEG audio layer 2 oder AC3 Stream geschrieben.


%package -n %{libnameavcodec}
Summary:        FFmpeg %{libavcodec}
Group:          System/Libraries
Requires:       %{libnameavutil} = %{version}
%if %{with libvpx}
%ifarch %ix86 x86_64 amd64 ia32e %{arm}
%define required_libvpx  %(rpm -qf $(readlink -qne %{_libdir}/libvpx.so) --qf '%{NAME} >= %{VERSION}')
%requires_ge %{required_libvpx}
%endif
%endif
Provides:       %{libavcodec} = %{version}
Obsoletes:      %{libavcodec} < %{version}


%description -n %{libnameavcodec}
ffmpeg %{libavcodec} shared library

%description -n %{libnameavcodec} -l de
ffmpeg %{libavcodec} Bibliothek

%package -n %{libnameavdevice}
Summary:        FFmpeg %{libavdevice}
Group:          System/Libraries
Requires:       %{libnameavcodec} = %{version}
Requires:       %{libnameavformat} = %{version}
Requires:       %{libnameavutil} = %{version}
Requires:       %{libnameswresample} = %{version}
Provides:       %{libavdevice} = %{version}
Obsoletes:      %{libavdevice} < %{version}

%description -n %{libnameavdevice}
ffmpeg %{libavdevice} shared library

%description -n %{libnameavdevice} -l de
ffmpeg %{libavdevice} Bibliothek

%package -n %{libnameavformat}
Summary:        FFmpeg %{libavformat}
Group:          System/Libraries
Requires:       %{libnameavcodec} = %{version}
Requires:       %{libnameavutil} = %{version}
Provides:       %{libavformat} = %{version}
Obsoletes:      %{libavformat} < %{version}

%description -n %{libnameavformat}
ffmpeg %{libavformat} shared library

%description -n %{libnameavformat} -l de
ffmpeg %{libavformat} Bibliothek

%package -n %{libnameavutil}
Summary:        FFmpeg %{libavutil}
Group:          System/Libraries
Provides:       %{libavutil} = %{version}
Obsoletes:      %{libavutil} < %{version}

%description -n %{libnameavutil}
ffmpeg %{libavutil} shared library

%description -n %{libnameavutil} -l de
ffmpeg %{libavutil} Bibliothek

%package -n %{libnameavfilter}
Summary:        FFmpeg %{libavutil}
Group:          System/Libraries
Requires:       %{libnameavcodec} = %{version}
Requires:       %{libnameavutil} = %{version}
Requires:       %{libnameswresample} = %{version}
Requires:       %{libnameswscale} = %{version}
Provides:       %{libavfilter} = %{version}
Obsoletes:      %{libavfilter} < %{version}

%description -n %{libnameavfilter}
ffmpeg %{libavfilter} shared library

%description -n %{libnameavfilter} -l de
ffmpeg %{libavfilter} Bibliothek

%package -n %{libnamepostproc}
Summary:        FFmpeg %{libpostproc}
Group:          System/Libraries
Requires:       %{libnameavutil} = %{version}
Provides:       %{libpostproc} = %{version}
Obsoletes:      %{libpostproc} < %{version}

%description -n %{libnamepostproc}
ffmpeg %{libpostproc} shared library

%description -n %{libnamepostproc} -l de
ffmpeg %{libpostproc} Bibliothek

%package -n %{libnameswscale}
Summary:        FFmpeg %{libswscale}
Group:          System/Libraries
Requires:       %{libnameavutil} = %{version}
Provides:       %{libswscale} = %{version}
Obsoletes:      %{libswscale} < %{version}

%description -n %{libnameswscale}
ffmpeg %{libswscale} shared library

%description -n %{libnameswscale} -l de
ffmpeg %{libswscale} Bibliothek

%package -n %{libnameswresample}
Summary:        FFmpeg %{libswresample}
Group:          System/Libraries
Requires:       %{libnameavutil} = %{version}
Provides:       %{libswresample} = %{version}
Obsoletes:      %{libswresample} < %{version}

%description -n %{libnameswresample}
ffmpeg %{libswresample} shared library

%description -n %{libnameswresample} -l de
ffmpeg %{libswresample} Bibliothek

%package -n %{libnameavresample}
Summary:        FFmpeg %{libavresample}
Group:          System/Libraries
Provides:       %{libavresample} = %{version}
Obsoletes:      %{libavresample} < %{version}

%description -n %{libnameavresample}
ffmpeg %{libavresample} shared library

%description -n %{libnameavresample} -l de
ffmpeg %{libavresample} Bibliothek

%package -n %{lib}-devel
Summary:        Header files and static library for the ffmpeg library
Summary(de):    Header Dateien und statische Bibliotheken für die ffmpeg Bibliothek
Group:          Development/Libraries/C and C++
Requires:       %{libnameavcodec} = %{version}
Requires:       %{libnameavdevice} = %{version}
Requires:       %{libnameavformat} = %{version}
Requires:       %{libnameavresample} = %{version}
Requires:       %{libnameavutil} = %{version}
Requires:       %{libnamepostproc} = %{version}
Requires:       %{libnameswresample} = %{version}
Requires:       %{libnameswscale} = %{version}
Requires:       alsa-devel
Requires:       dirac-devel >= 1.0.0
%if 0%{?suse_version} > 1110
Requires:       frei0r-plugins-devel
%endif
Requires:       ladspa-devel
Requires:       libcdio-paranoia-devel
%if 0%{?suse_version} != 1140
Requires:       libcelt-devel
%endif
Requires:       libdc1394-devel
Requires:       libgsm-devel
Requires:       libjack-devel
Requires:       libmp3lame-devel
Requires:       libogg-devel
Requires:       liboil-devel >= 0.3.15
Requires:       libopencore-amr-devel
Requires:       librtmp-devel
Requires:       libtheora-devel >= 1.1
Requires:       libva-devel
Requires:       libvdpau-devel
Requires:       libvorbis-devel
%if 0%{?suse_version} > 1140
Requires:       libwebp-devel
%endif
Requires:       libx264-devel
Requires:       libx265-devel
Requires:       libxvidcore-devel
Requires:       schroedinger-devel
Requires:       slang-devel
Requires:       speex-devel
Requires:       zlib-devel
Obsoletes:      ffmpeg-devel < %{version}
Provides:       ffmpeg-devel = %{version}
Obsoletes:      libffmpeg0-devel < %{version}
Provides:       libffmpeg0-devel = %{version}
Obsoletes:      libav-devel < %{version}
Provides:       libav-devel = %{version}
Obsoletes:      libavutil-devel < %{version}
Provides:       libavutil-devel = %{version}
%if %{with avfilter}
Requires:       %{libnameavfilter} = %{version}
%endif
%if 0%{?suse_version} <= 1130
Requires:       libdc1394_control12-devel
%endif
%if %{with libfaac}
Requires:       libfaac-devel
%endif
%if %{with libopenjpeg}
BuildRequires:  openjpeg-devel
%endif
Requires:       %{lib}-devel = %{version}

%description -n %{lib}-devel
ffmpeg is a hyper fast realtime audio/video encoder, a streaming  server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg-devel if you want to compile apps with ffmpeg support.

%description -n %{lib}-devel -l de
ffmpeg ist ein hyperschneller realtime Audio-/Video-Encoder, ein Streaming
Server und ein Audio und Video Dateikonverter.

Es kann von einer Standard-Video4Linux-Quelle grabben und in verschiedene
Dateiformate basierend auf einer DCT/motion compensation konvertiern.
Sound wird in einen MPEG audio layer 2 oder AC3 Stream geschrieben.

Installieren Sie libffmpeg-devel wenn Sie Anwendungen mit ffmpeg Support
compilieren wollen.

%package tools
Summary:        Hyper fast MPEG1/MPEG4/H263/RV and AC3/MPEG audio encoder
Group:          Productivity/Multimedia/Video/Editors and Convertors

%description tools
ffmpeg is a hyper fast realtime audio/video encoder, a streaming  server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

%description tools -l de
ffmpeg ist ein hyperschneller realtime Audio-/Video-Encoder, ein Streaming
Server und ein Audio und Video Dateikonverter.

Es kann von standard Video4Linux Videoquellen aufnehmen und in diverse Formate
konvertieren die auf DCT/motion compensation Enkodern basieren. Sound wird
in MPEG Audio Layer 2 komprimier oder es wird ein AC3 kompatibler Stream
verwendet.

%prep
%setup -q
%patch1
%patch2
%patch6
%patch7
FAKE_BUILDDATE=$(LC_ALL=C date -u -r '%{SOURCE3}' '+%%b %%e %%Y')
sed -i "s/__DATE__/\"$FAKE_BUILDDATE\"/" cmdutils.c ffprobe.c
FAKE_BUILDTIME=$(LC_ALL=C date -u -r '%{SOURCE3}' '+%%H:%%M:%%S')
sed -i "s/__TIME__/\"$FAKE_BUILDTIME\"/" cmdutils.c ffprobe.c
# used by the "no-build-date" patch to fix the date in man pages
LC_ALL=C date -u -r '%{SOURCE3}' '+%%Y-%%m-%%e' > date.stamp

%build
./configure --shlibdir=%{_libdir} --prefix=%{_prefix} --mandir=%{_mandir} \
            --libdir=%{_libdir} --enable-shared --disable-static \
            --enable-debug --disable-stripping --extra-cflags="%{optflags}" \
            --enable-pic --optflags="%{optflags}" --enable-gpl --enable-x11grab \
            --enable-version3 --enable-pthreads --datadir=%{_datadir}/%{name} \
%ifarch ppc
            --disable-altivec \
%endif
%if 0%{?suse_version} == 1110
            --disable-libxcb-shm \
%endif
%if %{with libfaac}
            --enable-libfaac --enable-nonfree \
%endif
%if %{with libfdk_aac}
            --enable-libfdk_aac --enable-nonfree \
%endif
%if %{with libopenjpeg}
            --enable-libopenjpeg \
%endif
%if %{with avfilter}
            --enable-avfilter \
%else
            --disable-avfilter \
%endif
%if %{with pulse}
            --enable-libpulse \
%endif
%if 0%{?suse_version} > 1140
            --enable-libwebp \
%endif
%if %{with libvpx}
%ifarch %ix86 x86_64 amd64 ia32e %{arm}
            --enable-libvpx \
%endif
%endif
%if 0%{?suse_version} >= 1140
            --enable-libopus \
%endif
            --enable-libmp3lame --enable-libvorbis --enable-libtheora \
            --enable-libspeex --enable-libxvid --enable-libx264 \
            --enable-libx265 --enable-libschroedinger --enable-libgsm \
            --enable-libopencore-amrnb --enable-libopencore-amrwb \
            --enable-postproc --enable-libdc1394 --enable-librtmp \
            --enable-libfreetype --enable-avresample --enable-libtwolame \
            --enable-libvo-aacenc --enable-gnutls --enable-libass \
%if 0%{?suse_version} > 1110
            --enable-frei0r \
%endif
%if 0%{?suse_version} != 1140
            --enable-libcelt \
%endif
            --enable-libcdio --enable-ladspa

make %{?_smp_mflags} V=1
make alltools V=1 %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

# it would be nice to know what dependent packages still need this...
install -d %{buildroot}%{_libdir}/libavcodec
install -m 644 libavcodec/dvdata.h %{buildroot}%{_includedir}/libavcodec/

# clear docs
rm -f doc/Makefile doc/texi2pod.pl doc/*.d doc/print_options* \
      doc/*.1 doc/*.3 doc/doxy-wrapper.sh
rm -rf doc/examples/pc-uninstalled \
       %{buildroot}%{_datadir}/doc/ffmpeg

# install tools
pushd tools
install -m 0755 aviocat cws2fws ffescape ffeval ffhash \
                fourcc2pixfmt graph2dot ismindex pktdumper \
                probetest qt-faststart seek_print trasher \
                -t %{buildroot}%{_bindir}
popd

%post   -n %{libnameavcodec} -p /sbin/ldconfig
%postun -n %{libnameavcodec} -p /sbin/ldconfig

%post   -n %{libnameavdevice} -p /sbin/ldconfig
%postun -n %{libnameavdevice} -p /sbin/ldconfig

%post   -n %{libnameavformat} -p /sbin/ldconfig
%postun -n %{libnameavformat} -p /sbin/ldconfig

%post   -n %{libnameavutil} -p /sbin/ldconfig
%postun -n %{libnameavutil} -p /sbin/ldconfig

%post   -n %{libnamepostproc} -p /sbin/ldconfig
%postun -n %{libnamepostproc} -p /sbin/ldconfig

%if %{with avfilter}
%post   -n %{libnameavfilter} -p /sbin/ldconfig
%postun -n %{libnameavfilter} -p /sbin/ldconfig
%endif

%post   -n %{libnameswscale} -p /sbin/ldconfig
%postun -n %{libnameswscale} -p /sbin/ldconfig

%post   -n %{libnameswresample} -p /sbin/ldconfig
%postun -n %{libnameswresample} -p /sbin/ldconfig

%post -n %{libnameavresample} -p /sbin/ldconfig
%postun -n %{libnameavresample} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc Changelog COPYING.* CREDITS README.md doc
%{_bindir}/ffmpeg
%{_bindir}/ffplay
%{_bindir}/ffprobe
%{_bindir}/ffserver
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/ffprobe.xsd
%{_datadir}/%{name}/*.ffpreset
%{_mandir}/man1/*


%files -n %{libnameavcodec}
%defattr(-,root,root)
%{_libdir}/%{libavcodec}.so.%{majoravcodec}*

%files -n %{libnameavdevice}
%defattr(-,root,root)
%{_libdir}/%{libavdevice}.so.%{majoravdevice}*

%files -n %{libnameavformat}
%defattr(-,root,root)
%{_libdir}/%{libavformat}.so.%{majoravformat}*

%files -n %{libnameavutil}
%defattr(-,root,root)
%{_libdir}/%{libavutil}.so.%{majoravutil}*

%if %{with avfilter}

%files -n %{libnameavfilter}
%defattr(-,root,root)
%{_libdir}/%{libavfilter}.so.%{majoravfilter}*
%endif

%files -n %{libnamepostproc}
%defattr(-,root,root)
%{_libdir}/%{libpostproc}.so.%{majorpostproc}*

%files -n %{libnameswscale}
%defattr(-,root,root)
%{_libdir}/%{libswscale}.so.%{majorswscale}*

%files -n %{libnameswresample}
%defattr(-,root,root)
%{_libdir}/%{libswresample}.so.%{majorswresample}*

%files -n %{libnameavresample}
%defattr(-,root,root)
%{_libdir}/%{libavresample}.so.%{majoravresample}*

%files -n %{lib}-devel
%defattr(-,root,root)
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/libavcodec
%{_libdir}/pkgconfig/*.pc
%{_datadir}/%{name}/examples

%files tools
%defattr(-,root,root)
%{_bindir}/aviocat
%{_bindir}/cws2fws
%{_bindir}/ffescape
%{_bindir}/ffeval
%{_bindir}/ffhash
%{_bindir}/fourcc2pixfmt
%{_bindir}/graph2dot
%{_bindir}/ismindex
%{_bindir}/pktdumper
%{_bindir}/probetest
%{_bindir}/qt-faststart
%{_bindir}/seek_print
%{_bindir}/trasher

%changelog
* Tue May 19 2015 aloisio@gmx.com
- Update to version 2.6.3:
  * avcodec/libtheoraenc: Check for av_malloc failure
  * ffmpeg_opt: Fix -timestamp parsing
  * hevc: make avcodec_decode_video2() fail if get_format() fails
  * avcodec/cavsdec: Use ff_set_dimensions()
  * swr: fix alignment issue caused by 8ch sse functions
  * avcodec/mjpegdec: fix len computation in ff_mjpeg_decode_dqt()
  * avcodec/jpeg2000dec: fix boolean operator
  * avcodec/hevc_ps: Explicitly check num_tile_* for negative values
  * avformat/matroskadec: Cleanup error handling for bz2 & zlib
  * avformat/nutdec: Fix use of uinitialized value
  * tools/graph2dot: use larger data types than int for array/string sizes
  * avformat/matroskaenc: Check ff_vorbiscomment_length in put_flac_codecpriv()
  * avcodec/mpeg12dec: use the correct dimensions for checking SAR
  * xcbgrab: Validate the capture area
  * xcbgrab: Do not assume the non shm image data is always available
  * avfilter/lavfutils: disable frame threads when decoding a single image
  * avformat/mov: Do not read ACLR into extradata for H.264
  * ffmpeg: remove incorrect network deinit
  * OpenCL: Avoid potential buffer overflow in cmdutils_opencl.c
  * libvpxenc: only set noise reduction w/vp8
  * vp9: remove another optimization branch in iadst16 which causes overflows.
  * lavf: Reset global flag on deinit
  * network: Do not leave context locked on error
  * vp9: remove one optimization branch in iadst16 which causes overflows.
  * fate: Include branch information in the payload header
  * avformat/utils: Ensure that AVFMT_FLAG_CUSTOM_IO is set before use
  * avformat/img2dec: do not rewind custom io buffers
  * avcodec/alsdec: Use av_mallocz_array() for chan_data to ensure the arrays never contain random data
  * avcodec/atrac3plusdsp: fix on stack alignment
  * swresample/swresample-test: Randomly wipe out channel counts
  * swresample: Check channel layouts and channels against each other and print human readable error messages
  * swresample: Allow reinitialization without ever setting channel layouts (cherry picked from commit 80a28c7509a11114e1aea5b208d56c6646d69c07)
  * swresample: Allow reinitialization without ever setting channel counts
  * dashenc: replace attribute id with contentType for the AdaptationSet element
  * avformat/matroskaenc: Use avoid_negative_ts_use_pts if no stream writes dts
  * avformat/mux: Add avoid_negative_ts_use_pts
  * tests/fate-run: do not attempt to parse tiny_psnrs output if it failed
  * cafdec: free extradata before allocating it
  * imgutils: initialize palette padding bytes in av_image_alloc
  * aacdec: don't return frames without data
  * id3v2: catch avio_read errors in check_tag
  * avi: Validate sample_size
  * aacsbr: break infinite loop in sbr_hf_calc_npatches
  * diracdec: avoid overflow of bytes*8 in decode_lowdelay
  * diracdec: prevent overflow in data_unit_size check
  * avformat/matroskadec: Use tracks[k]->stream instead of s->streams[k]
  * matroskadec: use uint64_t instead of int for index_scale
  * pngdec: don't use AV_PIX_FMT_MONOBLACK for apng
  * pngdec: return correct error code from decode_frame_common
  * nutdec: fix illegal count check in decode_main_header
  * nutdec: fix memleaks on error in nut_read_header
  * apedec: prevent out of array writes in decode_array_0000
  * apedec: set s->samples only when init_frame_decoder succeeded
  * swscale/ppc/swscale_altivec.c: POWER LE support in yuv2planeX_8() delete macro GET_VF() it was wrong
  * alac: reject rice_limit 0 if compression is used
  * alsdec: only adapt order for positive max_order
  * bink: check vst->index_entries before using it
  * mpeg4videodec: only allow a positive length
  * aacpsy: correct calculation of minath in psy_3gpp_init
  * alsdec: validate time diff index
  * alsdec: ensure channel reordering is reversible
  * ac3: validate end in ff_ac3_bit_alloc_calc_mask
  * aacpsy: avoid psy_band->threshold becoming NaN
  * aasc: return correct buffer size from aasc_decode_frame
  * matroskadec: export cover art correctly
  * mxfenc: don't try to write footer without header
  * mxfenc: fix memleaks in mxf_write_footer
  * rtpenc_mpegts: Set chain->rtp_ctx only after avformat_write_header succeeded
  * rtpenc_mpegts: Free the right ->pb in the error path in the init function
* Tue May 19 2015 olaf@aepfle.de
- Update libvpx Requires in libavcodec
- Package changes file because its used in spec file
* Thu Apr 30 2015 aloisio@gmx.com
- Update to version 2.6.2:
  * avformat/mov: Disallow ".." in dref unless use_absolute_path is set
  * avfilter/palettegen: make sure at least one frame was sent to the filter
  * avformat/mov: Check for string truncation in mov_open_dref()
  * ac3_fixed: fix out-of-bound read
  * mips/asmdefs: use _ABI64 as defined by gcc
  * hevc: delay ff_thread_finish_setup for hwaccel
  * avcodec/012v: Check dimensions more completely
  * asfenc: fix leaking asf->index_ptr on error
  * roqvideoenc: set enc->avctx in roq_encode_init
  * avcodec/options_table: remove extradata_size from the AVOptions table
  * ffmdec: limit the backward seek to the last resync position
  * Add dependencies to configure file for vf_fftfilt
  * ffmdec: make sure the time base is valid
  * ffmdec: fix infinite loop at EOF
  * ffmdec: initialize f_cprv, f_stvi and f_stau
  * arm: Suppress tags about used cpu arch and extensions
  * mxfdec: Fix the error handling for when strftime fails
  * avcodec/opusdec: Fix delayed sample value
  * avcodec/opusdec: Clear out pointers per packet
  * avcodec/utils: Align YUV411 by as much as the other YUV variants
  * lavc/hevcdsp: Fix compilation for arm with --disable-neon.
  * vp9: fix segmentation map retention with threading enabled.
- Enabled x265 for ARM.
* Mon Mar 30 2015 aloisio@gmx.com
- Enabled libwebp by default
* Tue Mar 24 2015 aloisio@gmx.com
- Update to version 2.6.1:
  * avformat/mov: Disallow ".." in dref unless use_absolute_path is set
  * avfilter/palettegen: make sure at least one frame was sent to the filter
  * avformat/mov: Check for string truncation in mov_open_dref()
  * ac3_fixed: fix out-of-bound read
  * mips/asmdefs: use _ABI64 as defined by gcc
  * hevc: delay ff_thread_finish_setup for hwaccel
  * avcodec/012v: Check dimensions more completely
  * asfenc: fix leaking asf->index_ptr on error
  * roqvideoenc: set enc->avctx in roq_encode_init
  * avcodec/options_table: remove extradata_size from the AVOptions table
  * ffmdec: limit the backward seek to the last resync position
  * Add dependencies to configure file for vf_fftfilt
  * ffmdec: make sure the time base is valid
  * ffmdec: fix infinite loop at EOF
  * ffmdec: initialize f_cprv, f_stvi and f_stau
  * arm: Suppress tags about used cpu arch and extensions
  * mxfdec: Fix the error handling for when strftime fails
  * avcodec/opusdec: Fix delayed sample value
  * avcodec/opusdec: Clear out pointers per packet
  * avcodec/utils: Align YUV411 by as much as the other YUV variants
  * lavc/hevcdsp: Fix compilation for arm with --disable-neon.
  * vp9: fix segmentation map retention with threading enabled.
  * Revert "avutil/opencl: is_compiled flag not being cleared in av_opencl_uninit"
* Sun Mar 15 2015 aloisio@gmx.com
- Added patch to remove errors from the log
  while playing HEVC media (see
  https://ffmpeg.org/pipermail/ffmpeg-devel/2015-March/170392.html)
* Sat Mar  7 2015 aloisio@gmx.com
- Update to version 2.6:
  * nvenc encoder
  * 10bit spp filter
  * colorlevels filter
  * RIFX format for *.wav files
  * RTP/mpegts muxer
  * non continuous cache protocol support
  * tblend filter
  * cropdetect support for non 8bpp, absolute (if limit >= 1) and relative (if limit < 1.0) threshold
  * Camellia symmetric block cipher
  * OpenH264 encoder wrapper
  * VOC seeking support
  * Closed caption Decoder
  * fspp, uspp, pp7 MPlayer postprocessing filters ported to native filters
  * showpalette filter
  * Twofish symmetric block cipher
  * Support DNx100 (960x720@8)
  * eq2 filter ported from libmpcodecs as eq filter
  * removed libmpcodecs
  * Changed default DNxHD colour range in QuickTime .mov derivatives to mpeg range
  * ported softpulldown filter from libmpcodecs as repeatfields filter
  * dcshift filter
  * RTP depacketizer for loss tolerant payload format for MP3 audio (RFC 5219)
  * RTP depacketizer for AC3 payload format (RFC 4184)
  * palettegen and paletteuse filters
  * VP9 RTP payload format (draft 0) experimental depacketizer
  * RTP depacketizer for DV (RFC 6469)
  * DXVA2-accelerated HEVC decoding
  * AAC ELD 480 decoding
  * Intel QSV-accelerated H.264 decoding
  * DSS SP decoder and DSS demuxer
  * Fix stsd atom corruption in DNxHD QuickTimes
  * Canopus HQX decoder
  * RTP depacketization of T.140 text (RFC 4103)
  * VP9 RTP payload format (draft 0) experimental depacketizer
  * Port MIPS optimizations to 64-bit
* Sun Mar  1 2015 aloisio@gmx.com
- Update to version 2.5.4:
  * avcodec/arm/videodsp_armv5te: Fix linking failure with shared libs
  * avcodec/mjpegdec: Skip blocks which are outside the visible area
  * avcodec/h264_slice: ignore SAR changes in slices after the first
  * avcodec/h264_slice: Check picture structure before setting the related fields
  * avcodec/h264_slice: Do not change frame_num after the first slice
  * avutil/opt: Fix type used to access AV_OPT_TYPE_SAMPLE_FMT
  * avutil/opt: Fix types used to access AV_OPT_TYPE_PIXEL_FMT
  * avcodec/h264: Be more strict on rejecting pps/sps changes
  * avcodec/h264: Be more strict on rejecting pps_id changes
  * avcodec/h264_ps: More completely check the bit depths
  * avformat/thp: Check av_get_packet() for failure not only for partial output
  * swscale/utils: Limit filter shifting so as not to read from prior the array
  * avcodec/mpegvideo_motion: Fix gmc chroma dimensions
  * avcodec/mjpegdec: Check number of components for JPEG-LS
  * avcodec/mjpegdec: Check escape sequence validity
  * avformat/mpc8: Use uint64_t in *_get_v() to avoid undefined behavior
  * avformat/mpc8: fix broken pointer math
  * avformat/mpc8: fix hang with fuzzed file
  * avformat/tta: fix crash with corrupted files
  * avcodec/ppc/idctdsp.c: POWER LE support in idct_add_altivec()
  * swscale/input: fix rgba64 alpha non native
  * swscale/input: Fix alpha of YA16 input
  * libavcodec/ppc/mpegvideoencdsp.c: fix stack smashing in pix_norm1_altivec() and pix_sum_altivec()
  * avformat/rmdec: Check for overflow in ff_rm_read_mdpr_codecdata()
  * avformat/mpeg: do not count PES packets inside PES packets during probing
  * hevc: always clip luma_log2_weight_denom
  * rtpdec_h263_rfc2190: Clear the stored bits if discarding buffered data
  * aacenc: correctly check returned value
  * swscale: check memory allocations
  * opt: check memory allocation
  * avformat/utils: check for malloc failure
  * avcodec/flac_parser: fix handling EOF if no headers are found
  * avfilter/vf_framepack: Check and update frame_rate
  * vp8: improve memory allocation checks
  * configure: enable vsx together with altivec for ppc64el
  * avcodec/hevc: Fix handling of skipped_bytes() reallocation failures
  * qpeg: avoid pointless invalid memcpy()
- Dropped XvShmCreateImage patch that's now redundant
- Fixed build for SLE11 and 11.4
* Fri Feb  6 2015 olaf@aepfle.de
- Get required libs for libcdio_cdda from pkg-config
* Sat Jan 24 2015 aloisio@gmx.com
- Enabled ladspa and libcelt.
- Added optional support for libwebp as alternative to the
  integrated but limited webp decoder
- Dropped gnutls 3.0.x patch since no target uses that branch
  (cf. trac #3748)
- Removed flags that are now set by configure
- Further cleanup
* Sat Jan 17 2015 aloisio@gmx.com
- update to 2.3.6
  * bugfix release
- dropped backported patch that's now included
- enabled frei0r-plugins and libcdio
- slight cleanup
  * removed redundant .so provides
* Fri Jan  2 2015 aloisio@gmx.com
- update to 2.3.5
  * bugfix release
- backported a patch to fix flv decoding problem (vlc #12389)
* Fri Nov 14 2014 i@margueirte.su
- enable libfdk_aac encoder
* Mon Oct  6 2014 aloisio@gmx.com
- update to 2.3.3
* Thu Jun 26 2014 Manfred.Tremmel@iiv.de
- update to 2.2.4
  * bugfix release
* Sat Jun 14 2014 Manfred.Tremmel@iiv.de
- update to 2.2.3
  * bugfix release
- removed ffmpeg-2.2-x265.patch, it's no longe necessary
* Tue Jun  3 2014 olaf@aepfle.de
- fix compile on rmv6hl
* Mon Mar 24 2014 Manfred.Tremmel@iiv.de
- update to 2.2
  * HNM version 4 demuxer and video decoder
  * Live HDS muxer
  * setsar/setdar filters now support variables in ratio expressions
  * elbg filter
  * string validation in ffprobe
  * support for decoding through VDPAU in ffmpeg (the -hwaccel option)
  * complete Voxware MetaSound decoder
  * remove mp3_header_compress bitstream filter
  * Windows resource files for shared libraries
  * aeval filter
  * stereoscopic 3d metadata handling
  * WebP encoding via libwebp
  * ATRAC3+ decoder
  * VP8 in Ogg demuxing
  * side & metadata support in NUT
  * framepack filter
  * XYZ12 rawvideo support in NUT
  * Exif metadata support in WebP decoder
  * OpenGL device
  * Use metadata_header_padding to control padding in ID3 tags (currently used
    in MP3, AIFF, and OMA files), FLAC header, and the AVI "junk" block.
  * Mirillis FIC video decoder
  * Support DNx444
  * libx265 encoder
  * dejudder filter
  * Autodetect VDA like all other hardware accelerations
* Sat Mar 15 2014 Manfred.Tremmel@iiv.de
- update to 2.1.4
  * more fixes
* Wed Feb 12 2014 Manfred.Tremmel@iiv.de
- update to 2.1.3
  * bugfix release
* Tue Jan 28 2014 guillaume@opensuse.org
- Add libvpx support to ARM
* Mon Jan 13 2014 Manfred.Tremmel@iiv.de
- update to 2.1.2
  * bugfix release
* Tue Dec 17 2013 Manfred.Tremmel@iiv.de
- added dependency to libvpx1 >= 1.3.0
* Wed Nov 27 2013 joerg.lorenzen@ki.tng.de
- added patch to build against gnutls 3.0.3 on openSUSE 12.1
* Wed Nov 20 2013 Manfred.Tremmel@iiv.de
- update to 2.1.1
  * bugfix release
* Wed Nov 13 2013 seife+obs@b1-systems.com
- add rpmlintrc to silence the now-bogus "build contains date"
  message, which for itself caused build-compare to republish :-)
* Tue Nov 12 2013 Manfred.Tremmel@iiv.de
- enabled https with gnutls (--enable-gnutls)
* Sat Nov  9 2013 Manfred.Tremmel@iiv.de
- update to 2.1
  * aecho filter
  * perspective filter ported from libmpcodecs
  * ffprobe -show_programs option
  * compand filter
  * RTMP seek support
  * when transcoding with ffmpeg (i.e. not streamcopying), -ss is now accurate
    even when used as an input option. Previous behavior can be restored with
    the -noaccurate_seek option.
  * ffmpeg -t option can now be used for inputs, to limit the duration of
    data read from an input file
  * incomplete Voxware MetaSound decoder
  * read EXIF metadata from JPEG
  * DVB teletext decoder
  * phase filter ported from libmpcodecs
  * w3fdif filter
  * Opus support in Matroska
  * FFV1 version 1.3 is stable and no longer experimental
  * FFV1: YUVA(444,422,420) 9, 10 and 16 bit support
  * changed DTS stream id in lavf mpeg ps muxer from 0x8a to 0x88, to be
    more consistent with other muxers.
  * adelay filter
  * pullup filter ported from libmpcodecs
  * ffprobe -read_intervals option
  * Lossless and alpha support for WebP decoder
  * Error Resilient AAC syntax (ER AAC LC) decoding
  * Low Delay AAC (ER AAC LD) decoding
  * mux chapters in ASF files
  * SFTP protocol (via libssh)
  * libx264: add ability to encode in YUVJ422P and YUVJ444P
  * Fraps: use BT.709 colorspace by default for yuv, as reference fraps decoder
    does
  * make decoding alpha optional for prores, ffv1 and vp6 by setting
    the skip_alpha flag.
  * ladspa wrapper filter
  * native VP9 decoder
  * dpx parser
  * max_error_rate parameter in ffmpeg
  * PulseAudio output device
  * ReplayGain scanner
  * Enhanced Low Delay AAC (ER AAC ELD) decoding (no LD SBR support)
  * Linux framebuffer output device
  * HEVC decoder, raw HEVC demuxer, HEVC demuxing in TS, Matroska and MP4
  * mergeplanes filter
* Thu Oct 17 2013 Manfred.Tremmel@iiv.de
- update to 2.0.2
  * bugfix release
* Tue Oct 15 2013 seife+obs@b1-systems.com
- add patch to remove buildtime from documentation / manpages and
  non-deterministic anchors from HTML pages
* Fri Sep  6 2013 Manfred.Tremmel@iiv.de
- build and include the ffmpeg-tools, thanks to Paolo Pantò
* Sat Aug 17 2013 i@margueirte.su
- fix Evergreen 11.2 build
  * Add patch: ffmpeg-2.0-XvShmCreateImage.patch
  * This function has condition before libXv 1.0.5, so expose it.
  * http://upstream-tracker.org/diffs/libXv/1.0.4_to_1.0.5/diff.html
- ran spec-cleaner on ffmpeg.spec
- clarify license.
  * Depending on whether you "--enable-gpl", it'll be GPL or LGPL
  * We're GPL
  * http://ffmpeg.org/legal.html
- add dependency chain for -32bit packages in baselibs.conf
* Tue Aug 13 2013 Manfred.Tremmel@iiv.de
- update to 2.0.1
  * first bugfix release
* Sat Jul 13 2013 Manfred.Tremmel@iiv.de
- update to 2.0
  * curves filter
  * reference-counting for AVFrame and AVPacket data
  * ffmpeg now fails when input options are used for output file
    or vice versa
  * support for Monkey's Audio versions from 3.93
  * perms and aperms filters
  * audio filtering support in ffplay
  * 10%% faster aac encoding on x86 and MIPS
  * sine audio filter source
  * WebP demuxing and decoding support
  * new ffmpeg options -filter_script and -filter_complex_script, which
    allow a filtergraph description to be read from a file
  * OpenCL support
  * audio phaser filter
  * separatefields filter
  * libquvi demuxer
  * uniform options syntax across all filters
  * telecine filter
  * new interlace filter
  * smptehdbars source
  * inverse telecine filters (fieldmatch and decimate)
  * colorbalance filter
  * colorchannelmixer filter
  * The matroska demuxer can now output proper verbatim ASS packets. It will
    become the default at the next libavformat major bump.
  * decent native animated GIF encoding
  * asetrate filter
  * interleave filter
  * timeline editing with filters
  * vidstabdetect and vidstabtransform filters for video stabilization using
    the vid.stab library
  * astats filter
  * trim and atrim filters
  * ffmpeg -t and -ss (output-only) options are now sample-accurate when
    transcoding audio
  * Matroska muxer can now put the index at the beginning of the file.
  * extractplanes filter
  * avectorscope filter
  * ADPCM DTK decoder
  * ADP demuxer
  * RSD demuxer
  * RedSpark demuxer
  * ADPCM IMA Radical decoder
  * zmq filters
  * DCT denoiser filter (dctdnoiz)
  * Wavelet denoiser filter ported from libmpcodecs as owdenoise
    (formerly "ow")
  * Apple Intermediate Codec decoder
  * Escape 130 video decoder
  * FTP protocol support
  * V4L2 output device
  * 3D LUT filter (lut3d)
  * SMPTE 302M audio encoder
  * support for slice multithreading in libavfilter
  * Hald CLUT support (generation and filtering)
  * VC-1 interlaced B-frame support
  * support for WavPack muxing (raw and in Matroska)
  * XVideo output device
  * vignette filter
  * True Audio (TTA) encoder
  * Go2Webinar decoder
  * mcdeint filter ported from libmpcodecs
  * sab filter ported from libmpcodecs
  * ffprobe -show_chapters option
  * WavPack encoding through libwavpack
  * rotate filter
  * spp filter ported from libmpcodecs
  * libgme support
  * psnr filter
- changes from version 1.2
  * VDPAU hardware acceleration through normal hwaccel
  * SRTP support
  * Error diffusion dither in Swscale
  * Chained Ogg support
  * Theora Midstream reconfiguration support
  * EVRC decoder
  * audio fade filter
  * filtering audio with unknown channel layout
  * allpass, bass, bandpass, bandreject, biquad, equalizer, highpass, lowpass
    and treble audio filter
  * improved showspectrum filter, with multichannel support and sox-like
    colors
  * histogram filter
  * tee muxer
  * il filter ported from libmpcodecs
  * support ID3v2 tags in ASF files
  * encrypted TTA stream decoding support
  * RF64 support in WAV muxer
  * noise filter ported from libmpcodecs
  * Subtitles character encoding conversion
  * blend filter
  * stereo3d filter ported from libmpcodecs
- changes from version 1.1:
  * stream disposition information printing in ffprobe
  * filter for loudness analysis following EBU R128
  * Opus encoder using libopus
  * ffprobe -select_streams option
  * Pinnacle TARGA CineWave YUV16 decoder
  * TAK demuxer, decoder and parser
  * DTS-HD demuxer
  * remove -same_quant, it hasn't worked for years
  * FFM2 support
  * X-Face image encoder and decoder
  * 24-bit FLAC encoding
  * multi-channel ALAC encoding up to 7.1
  * metadata (INFO tag) support in WAV muxer
  * subtitles raw text decoder
  * support for building DLLs using MSVC
  * LVF demuxer
  * ffescape tool
  * metadata (info chunk) support in CAF muxer
  * field filter ported from libmpcodecs
  * AVR demuxer
  * geq filter ported from libmpcodecs
  * remove ffserver daemon mode
  * AST muxer/demuxer
  * new expansion syntax for drawtext
  * BRender PIX image decoder
  * ffprobe -show_entries option
  * ffprobe -sections option
  * ADPCM IMA Dialogic decoder
  * BRSTM demuxer
  * animated GIF decoder and demuxer
  * PVF demuxer
  * subtitles filter
  * IRCAM muxer/demuxer
  * Paris Audio File demuxer
  * Virtual concatenation demuxer
  * VobSub demuxer
  * JSON captions for TED talks decoding support
  * SOX Resampler support in libswresample
  * aselect filter
  * SGI RLE 8-bit decoder
  * Silicon Graphics Motion Video Compressor 1 & 2 decoder
  * Silicon Graphics Movie demuxer
  * apad filter
  * Resolution & pixel format change support with multithreading for H.264
  * documentation split into per-component manuals
  * pp (postproc) filter ported from MPlayer
  * NIST Sphere demuxer
  * MPL2, VPlayer, MPlayer, AQTitle, PJS and SubViewer v1 subtitles demuxers
    and decoders
  * Sony Wave64 muxer
  * adobe and limelight publisher authentication in RTMP
  * data: URI scheme
  * support building on the Plan 9 operating system
  * kerndeint filter ported from MPlayer
  * histeq filter ported from VirtualDub
  * Megalux Frame demuxer
  * 012v decoder
  * Improved AVC Intra decoding support  * more fixes
* Thu Apr 11 2013 Manfred.Tremmel@iiv.de
- update to 1.0.6
  * more fixes
* Fri Mar  8 2013 Manfred.Tremmel@iiv.de
- update to 1.0.5
  * more fixes
* Wed Feb 27 2013 reddwarf@opensuse.org
- enable vo-aacenc
* Sun Feb 10 2013 Manfred.Tremmel@iiv.de
- update to 1.0.4
  * more fixes
* Tue Feb  5 2013 Manfred.Tremmel@iiv.de
- update to 1.0.3
  * lot of fixes
* Sun Jan 20 2013 Manfred.Tremmel@iiv.de
  back to 1.0.1, because of some problems with other programms
* Sun Jan 20 2013 Manfred.Tremmel@iiv.de
- update to 1.1.1
  * Fix a crash on windows platforms related to automatic stack
    alignment in libavresample
  * Fix memleaks in the ogg demuxer. Related to CVE-2012-2882
  * more fixes
* Mon Jan  7 2013 Manfred.Tremmel@iiv.de
- update to 1.1
  * stream disposition information printing in ffprobe
  * filter for loudness analysis following EBU R128
  * Opus encoder using libopus
  * ffprobe -select_streams option
  * Pinnacle TARGA CineWave YUV16 decoder
  * TAK demuxer, decoder and parser
  * DTS-HD demuxer
  * remove -same_quant, it hasn't worked for years
  * FFM2 support
  * X-Face image encoder and decoder
  * 24-bit FLAC encoding
  * multi-channel ALAC encoding up to 7.1
  * metadata (INFO tag) support in WAV muxer
  * subtitles raw text decoder
  * support for building DLLs using MSVC
  * LVF demuxer
  * ffescape tool
  * metadata (info chunk) support in CAF muxer
  * field filter ported from libmpcodecs
  * AVR demuxer
  * geq filter ported from libmpcodecs
  * remove ffserver daemon mode
  * AST muxer/demuxer
  * new expansion syntax for drawtext
  * BRender PIX image decoder
  * ffprobe -show_entries option
  * ffprobe -sections option
  * ADPCM IMA Dialogic decoder
  * BRSTM demuxer
  * animated GIF decoder and demuxer
  * PVF demuxer
  * subtitles filter
  * IRCAM muxer/demuxer
  * Paris Audio File demuxer
  * Virtual concatenation demuxer
  * VobSub demuxer
  * JSON captions for TED talks decoding support
  * SOX Resampler support in libswresample
  * aselect filter
  * SGI RLE 8-bit decoder
  * Silicon Graphics Motion Video Compressor 1 & 2 decoder
  * Silicon Graphics Movie demuxer
  * apad filter
  * Resolution & pixel format change support with multithreading for H.264
  * documentation split into per-component manuals
  * pp (postproc) filter ported from MPlayer
  * NIST Sphere demuxer
  * MPL2, VPlayer, MPlayer, AQTitle, PJS and SubViewer v1 subtitles demuxers and decoders
  * Sony Wave64 muxer
  * adobe and limelight publisher authentication in RTMP
  * data: URI scheme
  * support building on the Plan 9 operating system
  * kerndeint filter ported from MPlayer
  * histeq filter ported from VirtualDub
  * 012v decoder
* Tue Jan  1 2013 Manfred.Tremmel@iiv.de
- enabled libass support
* Tue Dec 11 2012 Manfred.Tremmel@iiv.de
- update to 1.0.1
* Sat Sep 29 2012 Manfred.Tremmel@iiv.de
- update to 1.0
  * INI and flat output in ffprobe
  * Scene detection in libavfilter
  * Indeo Audio decoder
  * channelsplit audio filter
  * setnsamples audio filter
  * atempo filter
  * ffprobe -show_data option
  * RTMPT protocol support
  * iLBC encoding/decoding via libilbc
  * Microsoft Screen 1 decoder
  * join audio filter
  * audio channel mapping filter
  * Microsoft ATC Screen decoder
  * RTSP listen mode
  * TechSmith Screen Codec 2 decoder
  * AAC encoding via libfdk-aac
  * Microsoft Expression Encoder Screen decoder
  * RTMPS protocol support
  * RTMPTS protocol support
  * RTMPE protocol support
  * RTMPTE protocol support
  * showwaves and showspectrum filter
  * LucasArts SMUSH playback support
  * SAMI, RealText and SubViewer demuxers and decoders
  * Heart Of Darkness PAF playback support
  * iec61883 device
  * asettb filter
  * new option: -progress
  * 3GPP Timed Text encoder/decoder
  * GeoTIFF decoder support
  * ffmpeg -(no)stdin option
  * Opus decoder using libopus
  * caca output device using libcaca
  * alphaextract and alphamerge filters
  * concat filter
  * flite filter
  * Canopus Lossless Codec decoder
  * bitmap subtitles in filters (experimental and temporary)
  * MP2 encoding via TwoLAME
  * bmp parser
  * smptebars source
  * asetpts filter
  * hue filter
  * ICO muxer
  * SubRip encoder and decoder without embedded timing
  * edge detection filter
  * framestep filter
  * ffmpeg -shortest option is now per-output file
  - pass and -passlogfile are now per-output stream
  * volume measurement filter
  * Ut Video encoder
  * Microsoft Screen 2 decoder
  * Matroska demuxer now identifies SRT subtitles as AV_CODEC_ID_SUBRIP
    instead of AV_CODEC_ID_TEXT
  * smartblur filter ported from MPlayer
  * CPiA decoder
  * decimate filter ported from MPlayer
  * RTP depacketization of JPEG
  * Smooth Streaming live segmenter muxer
  * F4V muxer
  * sendcmd and asendcmd filters
  * WebVTT demuxer and decoder (simple tags supported)
  * RTP packetization of JPEG
  * faststart option in the MOV/MP4 muxer
* Mon Jun 11 2012 Manfred.Tremmel@iiv.de
- update to 0.11.1
  * Fixes:CVE-2012-2772, CVE-2012-2774, CVE-2012-2775, CVE-2012-2776, CVE-2012-2777,
    CVE-2012-2779, CVE-2012-2782, CVE-2012-2783, CVE-2012-2784, CVE-2012-2785,
    CVE-2012-2786, CVE-2012-2787, CVE-2012-2788, CVE-2012-2789, CVE-2012-2790,
    CVE-2012-2791, CVE-2012-2792, CVE-2012-2793, CVE-2012-2794, CVE-2012-2795,
    CVE-2012-2796, CVE-2012-2797, CVE-2012-2798, CVE-2012-2799, CVE-2012-2800,
    CVE-2012-2801, CVE-2012-2802, CVE-2012-2803, CVE-2012-2804,
  * v408 Quicktime and Microsoft AYUV Uncompressed 4:4:4:4 encoder and decoder
  * setfield filter
  * CDXL demuxer and decoder
  * Apple ProRes encoder
  * ffprobe -count_packets and -count_frames options
  * Sun Rasterfile Encoder
  * ID3v2 attached pictures reading and writing
  * WMA Lossless decoder
  * bluray protocol
  * blackdetect filter
  * libutvideo encoder wrapper (--enable-libutvideo)
  * swapuv filter
  * bbox filter
  * XBM encoder and decoder
  * RealAudio Lossless decoder
  * ZeroCodec decoder
  * tile video filter
  * Metal Gear Solid: The Twin Snakes demuxer
  * OpenEXR image decoder
  * removelogo filter
  * drop support for ffmpeg without libavfilter
  * drawtext video filter: fontconfig support
  * ffmpeg -benchmark_all option
  * super2xsai filter ported from libmpcodecs
  * add libavresample audio conversion library for compatibility
  * MicroDVD decoder
  * Avid Meridien (AVUI) encoder and decoder
  * accept + prefix to -pix_fmt option to disable automatic conversions.
  * complete audio filtering in libavfilter and ffmpeg
  * add fps filter
  * audio split filter
  * vorbis parser
  * png parser
  * audio mix filter
* Mon May 28 2012 reddwarf@opensuse.org
- Remove incorrect obsoletes
* Sat May 26 2012 Manfred.Tremmel@iiv.de
- update to 0.11
  * Fixes CVE-2012-2771 ... 2805
  * v408 Quicktime and Microsoft AYUV Uncompressed 4:4:4:4 encoder and decoder
  * setfield filter
  * CDXL demuxer and decoder
  * Apple ProRes encoder
  * ffprobe -count_packets and -count_frames options
  * Sun Rasterfile Encoder
  * ID3v2 attached pictures reading and writing
  * WMA Lossless decoder
  * bluray protocol
  * blackdetect filter
  * libutvideo encoder wrapper (--enable-libutvideo)
  * swapuv filter
  * bbox filter
  * XBM encoder and decoder
  * RealAudio Lossless decoder
  * ZeroCodec decoder
  * tile video filter
  * Metal Gear Solid: The Twin Snakes demuxer
  * OpenEXR image decoder
  * removelogo filter
  * drop support for ffmpeg without libavfilter
  * drawtext video filter: fontconfig support
  * ffmpeg -benchmark_all option
  * super2xsai filter ported from libmpcodecs
  * add libavresample audio conversion library for compatibility
  * MicroDVD decoder
  * Avid Meridien (AVUI) encoder and decoder
  * accept + prefix to -pix_fmt option to disable automatic conversions.
  * audio filters support in libavfilter and avconv
  * add fps filter
  * audio split filter
  * vorbis parser
  * png parser
  * audio mix filter
* Sat May 19 2012 reddwarf@opensuse.org
- Update to 0.10.3
* Thu May  3 2012 pascal.bleser@opensuse.org
- enable PulseAudio input support on openSUSE >= 11.4
* Wed Mar 28 2012 Manfred.Tremmel@iiv.de
- added --enable-libfreetype configure parameter
* Mon Mar 26 2012 reddwarf@opensuse.org
- Update to 0.10.2
  * Some security fixes
  * Over 100 bugfixes
  * Some new features like the swapuv filter
* Mon Mar 26 2012 reddwarf@opensuse.org
- Stop using %%suse_update_libdir, broke Factory x86_64 build
* Mon Mar 12 2012 toddrme2178@gmail.com
- Added 32bit compatibility libraries (required by libxine2-32bit)
- Cleaned up spec file formatting
* Fri Mar  2 2012 reddwarf@opensuse.org
- Substitute __DATE__ and __TIME__ also in ffprobe.c
* Fri Jan 27 2012 Manfred.Tremmel@iiv.de
  update to 0.10:
- Fixes: CVE-2011-3929, CVE-2011-3934, CVE-2011-3935, CVE-2011-3936,
    CVE-2011-3937, CVE-2011-3940, CVE-2011-3941, CVE-2011-3944,
    CVE-2011-3945, CVE-2011-3946, CVE-2011-3947, CVE-2011-3949,
    CVE-2011-3950, CVE-2011-3951, CVE-2011-3952
- v410 Quicktime Uncompressed 4:4:4 10-bit encoder and decoder
- SBaGen (SBG) binaural beats script demuxer
- OpenMG Audio muxer
- Timecode extraction in DV and MOV
- thumbnail video filter
- XML output in ffprobe
- asplit audio filter
- tinterlace video filter
- astreamsync audio filter
- amerge audio filter
- ISMV (Smooth Streaming) muxer
- GSM audio parser
- SMJPEG muxer
- XWD encoder and decoder
- Automatic thread count based on detection number of (available) CPU cores
- y41p Brooktree Uncompressed 4:1:1 12-bit encoder and decoder
- ffprobe -show_error option
- Avid 1:1 10-bit RGB Packer codec
- v308 Quicktime Uncompressed 4:4:4 encoder and decoder
- yuv4 libquicktime packed 4:2:0 encoder and decoder
- ffprobe -show_frames option
- silencedetect audio filter
- ffprobe -show_program_version, -show_library_versions, -show_versions options
- rv34: frame-level multi-threading
- optimized iMDCT transform on x86 using SSE for for mpegaudiodec
- Improved PGS subtitle decoder
- dumpgraph option to lavfi device
- r210 and r10k encoders
- ffwavesynth decoder
- aviocat tool
- ffeval tool
* Fri Jan  6 2012 Manfred.Tremmel@iiv.de
- update to 0.9.1 (fixing security problems and other improvements)
* Mon Dec 12 2011 Manfred.Tremmel@iiv.de
  update to 0.9:
- openal input device added
- boxblur filter added
- BWF muxer
- Flash Screen Video 2 decoder
- lavfi input device added
- added avconv, which is almost the same for now, except
  for a few incompatible changes in the options, which will hopefully make them
  easier to use. The changes are:
  * The options placement is now strictly enforced! While in theory the
    options for ffmpeg should be given in [input options] -i INPUT [output
    options] OUTPUT order, in practice it was possible to give output options
    before the -i and it mostly worked. Except when it didn't - the behavior was
    a bit inconsistent. In avconv, it is not possible to mix input and output
    options. All non-global options are reset after an input or output filename.
  * All per-file options are now truly per-file - they apply only to the next
    input or output file and specifying different values for different files
    will now work properly (notably -ss and -t options).
  * All per-stream options are now truly per-stream - it is possible to
    specify which stream(s) should a given option apply to. See the Stream
    specifiers section in the avconv manual for details.
  * In ffmpeg some options (like -newvideo/-newaudio/...) are irregular in the
    sense that they're specified after the output filename instead of before,
    like all other options. In avconv this irregularity is removed, all options
    apply to the next input or output file.
  * -newvideo/-newaudio/-newsubtitle options were removed. Not only were they
    irregular and highly confusing, they were also redundant. In avconv the -map
    option will create new streams in the output file and map input streams to
    them. E.g. avconv -i INPUT -map 0 OUTPUT will create an output stream for
    each stream in the first input file.
  * The -map option now has slightly different and more powerful syntax:
    + Colons (':') are used to separate file index/stream type/stream index
    instead of dots. Comma (',') is used to separate the sync stream instead
    of colon.. This is done for consistency with other options.
    + It's possible to specify stream type. E.g. -map 0:a:2 creates an
    output stream from the third input audio stream.
    + Omitting the stream index now maps all the streams of the given type,
    not just the first. E.g. -map 0:s creates output streams for all the
    subtitle streams in the first input file.
    + Since -map can now match multiple streams, negative mappings were
    introduced. Negative mappings disable some streams from an already
    defined map. E.g. '-map 0 -map -0:a:1' means 'create output streams for
    all the stream in the first input file, except for the second audio
    stream'.
  * There is a new option -c (or -codec) for choosing the decoder/encoder to
    use, which allows to precisely specify target stream(s) consistently with
    other options. E.g. -c:v lib264 sets the codec for all video streams, -c:a:0
    libvorbis sets the codec for the first audio stream and -c copy copies all
    the streams without reencoding. Old -vcodec/-acodec/-scodec options are now
    aliases to -c:v/a/s
  * It is now possible to precisely specify which stream should an AVOption
    apply to. E.g. -b:v:0 2M sets the bitrate for the first video stream, while
  - b:a 128k sets the bitrate for all audio streams. Note that the old -ab 128k
    syntax is deprecated and will stop working soon.
  * -map_chapters now takes only an input file index and applies to the next
    output file. This is consistent with how all the other options work.
  * -map_metadata now takes only an input metadata specifier and applies to
    the next output file. Output metadata specifier is now part of the option
    name, similarly to the AVOptions/map/codec feature above.
  * -metadata can now be used to set metadata on streams and chapters, e.g.
  - metadata:s:1 language=eng sets the language of the first stream to 'eng'.
    This made -vlang/-alang/-slang options redundant, so they were removed.
  * -qscale option now uses stream specifiers and applies to all streams, not
    just video. I.e. plain -qscale number would now apply to all streams. To get
    the old behavior, use -qscale:v. Also there is now a shortcut -q for -qscale
    and -aq is now an alias for -q:a.
  * -vbsf/-absf/-sbsf options were removed and replaced by a -bsf option which
    uses stream specifiers. Use -bsf:v/a/s instead of the old options.
  * -itsscale option now uses stream specifiers, so its argument is only the
    scale parameter.
  * -intra option was removed, use -g 0 for the same effect.
  * -psnr option was removed, use -flags +psnr for the same effect.
  * -vf option is now an alias to the new -filter option, which uses stream specifiers.
  * -vframes/-aframes/-dframes options are now aliases to the new -frames option.
  * -vtag/-atag/-stag options are now aliases to the new -tag option.
- XMV demuxer
- LOAS demuxer
- ashowinfo filter added
- Windows Media Image decoder
- amovie source added
- LATM muxer/demuxer
- Speex encoder via libspeex
- JSON output in ffprobe
- WTV muxer
- Optional C++ Support (needed for libstagefright)
- H.264 Decoding on Android via Stagefright
- Prores decoder
- BIN/XBIN/ADF/IDF text file decoder
- aconvert audio filter added
- audio support to lavfi input device added
- libcdio-paranoia input device for audio CD grabbing
- Apple ProRes decoder
- CELT in Ogg demuxing
- G.723.1 demuxer and decoder
- libmodplug support (--enable-libmodplug)
- VC-1 interlaced decoding
- libutvideo wrapper (--enable-libutvideo)
- aevalsrc audio source added
- Ut Video decoder
- Speex encoding via libspeex
- 4:2:2 H.264 decoding support
- 4:2:2 and 4:4:4 H.264 encoding with libx264
- Pulseaudio input device
- Prores encoder
- Video Decoder Acceleration (VDA) HWAccel module.
- replacement Indeo 3 decoder
- new ffmpeg option: -map_channel
- volume audio filter added
- earwax audio filter added
- libv4l2 support (--enable-libv4l2)
- TLS/SSL and HTTPS protocol support
- AVOptions API rewritten and documented
- most of CODEC_FLAG2_*, some CODEC_FLAG_* and many codec-specific fields in
  AVCodecContext deprecated. Codec private options should be used instead.
- Properly working defaults in libx264 wrapper, support for native presets.
- Encrypted OMA files support
- Discworld II BMV decoding support
- VBLE Decoder
- OS X Video Decoder Acceleration (VDA) support
- compact and csv output in ffprobe
- pan audio filter
- IFF Amiga Continuous Bitmap (ACBM) decoder
- ass filter
- CRI ADX audio format demuxer
- Playstation Portable PMP format demuxer
- Microsoft Windows ICO demuxer
- life source
- PCM format support in OMA demuxer
- CLJR encoder
- new option: -report
- Dxtory capture format decoder
- cellauto source
* Wed Nov 23 2011 Manfred.Tremmel@iiv.de
- update to 0.8.7 (fixing security problems and other improvements)
* Sun Nov  6 2011 Manfred.Tremmel@iiv.de
- update to 0.8.6 (fixing security problems and other improvements)
* Mon Oct  3 2011 Manfred.Tremmel@iiv.de
- update to 0.8.5 (fixing security problems and other improvements)
* Thu Sep 22 2011 Manfred.Tremmel@iiv.de
- update to 0.8.4 (fixing security problems and other bugs)
* Thu Sep  8 2011 Manfred.Tremmel@iiv.de
- update to 0.8.3 (fixing security problems and other bugs)
* Fri Jul 29 2011 Manfred.Tremmel@iiv.de
- update to 0.8.1 (fixing security problems and other bugs)
* Thu Jun 23 2011 Manfred.Tremmel@iiv.de
- update to 0.8
* Sun Jun 12 2011 johannesobermayr@gmx.de
- disable/remove static libraries
- introduce source service
* Sat Jun 11 2011 Manfred.Tremmel@iiv.de
- update to git Sat Jun 11 14:25:22 UTC 2011
* Sat Jun  4 2011 Manfred.Tremmel@iiv.de
- update to git Sat Jun 04 13:41:03 UTC 2011
* Sat Apr 16 2011 Manfred.Tremmel@iiv.de
- update to git Sat Apr 16 11:03:41 UTC 2011
- reanabled dbug packages
- enabled vaapi support
* Sat Apr  9 2011 Manfred.Tremmel@iiv.de
- returned from libav to ffmpeg
- update to git Sat Apr 09 09:33:26 UTC 2011
* Sat Apr  2 2011 reddwarf@opensuse.org
- Remove man pages from doc dir: helps build-compare
* Sat Apr  2 2011 Manfred.Tremmel@iiv.de
- switch from ffmpeg to libav
- update to git 2011-04-02 14:57 CEST
* Wed Mar  9 2011 Manfred.Tremmel@iiv.de
- update to git 2011-03-09 21:02
* Sun Mar  6 2011 reddwarf@opensuse.org
- Remove __DATE__ and __TIME__ references to help build-compare
* Sun Jan 16 2011 Manfred.Tremmel@iiv.de
- update to svn 26387
* Mon Nov 15 2010 pascal.bleser@opensuse.org
- disable faac support by default, as it makes the resulting packages break the GPL and hence may not be redistributed
- add explicit Requires: lib... = %%{version}-%%{release} to avoid crashes on missing symbols, as upstream doesn't care about proper SONAMEs (and not even proper releases to begin with)
* Sun Nov  7 2010 Manfred.Tremmel@iiv.de
- update to svn 25702
* Sun Oct 17 2010 Manfred.Tremmel@iiv.de
- update to svn 25512
* Sun Oct  3 2010 Manfred.Tremmel@iiv.de
- update to svn 25320
* Sun Jun 27 2010 ludwig.nussel@gmx.de
- require schroedinger-devel instead of libschroedinger-devel for
  compatibility with openSUSE package
- remove libffmpeg0 dummy package
- make libvpx optional
* Fri Jun 25 2010 pascal.bleser@opensuse.org
- verbose build
- make the build use the optflags
- have a debuginfo package
* Sat Jun 19 2010 Manfred.Tremmel@iiv.de
- reenabled avfilter, aspect ratio problem seems to be fixed and it's needed
  by ffmpeg2theora 0.27
* Wed Jun 16 2010 Manfred.Tremmel@iiv.de
- Update to 0.6
* Mon May 24 2010 Manfred.Tremmel@iiv.de
- update to svn 23289
- disabled avfilter, problems with aspect ratio
* Tue May 18 2010 Manfred.Tremmel@iiv.de
- update to svn 23159
* Mon Apr 26 2010 Manfred.Tremmel@iiv.de
- update to svn 22965
* Sat Apr  3 2010 Manfred.Tremmel@iiv.de
- update to svn 22789
* Tue Mar 23 2010 Manfred.Tremmel@iiv.de
- update to svn 22648
- patch to fix build on 11.3 factory i586
- patch to return version when using "ffmpeg -v"
* Sun Feb 28 2010 Manfred.Tremmel@iiv.de
- update to svn 22095
* Wed Feb 17 2010 Manfred.Tremmel@iiv.de
- update to svn 21861
* Sat Feb  6 2010 Manfred.Tremmel@iiv.de
- update to svn 21651
* Sat Jan  2 2010 Manfred.Tremmel@iiv.de
- update to svn 21000
* Fri Dec 11 2009 Manfred.Tremmel@iiv.de
- update to svn 20796
* Mon Nov 23 2009 Manfred.Tremmel@iiv.de
- update to svn 20592
* Wed Nov 11 2009 Manfred.Tremmel@iiv.de
- update to svn 20511
* Thu Sep 24 2009 Manfred.Tremmel@iiv.de
- update to svn 20006
* Tue Sep 22 2009 Manfred.Tremmel@iiv.de
- update to svn 19969
* Sat Aug 29 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Thu May 14 2009 Manfred.Tremmel@iiv.de
- recompile against new x264 (PPC used old one before)
* Tue Apr  7 2009 Manfred.Tremmel@iiv.de
- removed deprecated include symlinks (make trouble with new xine-lib)
* Tue Mar 10 2009 Manfred.Tremmel@iiv.de
- Wow! Never thought, this realy would get realaty, but it's
  a offical relase with tarball and so on. Now it's the real
  ffmpeg 0.5, enjoy it ;-)
* Tue Mar  3 2009 Manfred.Tremmel@iiv.de
- update to svn 17737
- ffmpeg has dumped version to 0.5 in changelog, so this is
  something like a release build ;-) (there are no official
  releases anymore)
- enabled vdpau support
* Wed Feb 11 2009 Manfred.Tremmel@iiv.de
- update to svn 1716
- recompile against new libfaad2 and libfaac
* Mon Dec 15 2008 Manfred.Tremmel@iiv.de
- update to svn 16142
- changed jack dependencies (conflict between jack and jackdmp)
* Sat Dec 13 2008 Manfred.Tremmel@iiv.de
- update to svn 16093
- disabled libnut support, doesn't compile
* Thu Nov  6 2008 Manfred.Tremmel@iiv.de
- update to svn 15785
- compile against new x264 and libtheora0 1.0
* Sat Oct  4 2008 Manfred.Tremmel@iiv.de
- update to svn 15554
- compile against new x264
* Sun Sep 21 2008 Manfred.Tremmel@iiv.de
- update to svn 15375
- compile against new liba52 lib and fixed dependency entry
* Sat Sep 20 2008 Manfred.Tremmel@iiv.de
- update to svn 15372
- compile against new faad2 and xvid packages
* Thu Sep 18 2008 Manfred.Tremmel@iiv.de
- update to svn 15365
- compile against new x264
* Sun Sep 14 2008 Manfred.Tremmel@iiv.de
- update to svn 15319
* Sat Sep  6 2008 Manfred.Tremmel@iiv.de
- update to svn 15224 (wma playback is now fixed in svn)
* Mon Aug 18 2008 Manfred.Tremmel@iiv.de
- update to svn 14828
- another try to fix wma playback (by downgrading all the
  wma stuff with little changes to make it work with new svn)
* Sat Aug 16 2008 Manfred.Tremmel@iiv.de
- update to svn 14793
- fixed dependency entries
* Fri Aug 15 2008 Manfred.Tremmel@iiv.de
- update to svn 14775
- enabled libschroedinger and libnut (only >= 11.0) support
- build with yasm 0.7.1
* Tue Jul 29 2008 Manfred.Tremmel@iiv.de
- update to svn 14462
- fixed some depends entries, thanks to Pascal for reporting it
* Thu Jul 24 2008 Manfred.Tremmel@iiv.de
- update to svn 14365
- fixed bad sound on wma files (downgrade wmadec.c)
* Mon Jul 21 2008 Manfred.Tremmel@iiv.de
- update to svn 14321
- splitted libffmpeg0 into seperate packages
* Sat Jul  5 2008 Manfred.Tremmel@iiv.de
- update to svn 14078
- rebuild with new faac 1.26 and faad2 2.6.1
* Sun Jun 29 2008 Manfred.Tremmel@iiv.de
- update to svn 14030
* Thu Jun 19 2008 Manfred.Tremmel@iiv.de
- removed esound dependency entries, they are not (no longer?) needed
* Tue Jun 17 2008 Manfred.Tremmel@iiv.de
- update to svn 13799
* Mon May 12 2008 Manfred.Tremmel@iiv.de
- update to svn 13138
* Sat Apr 26 2008 Manfred.Tremmel@iiv.de
- update to svn 12977
- patched pkgconfig files, adding new include directories in Cflags
* Tue Apr 22 2008 Manfred.Tremmel@iiv.de
- update to svn 12924
* Sun Apr 13 2008 Manfred.Tremmel@iiv.de
- update to svn 12806
* Sat Mar 29 2008 Manfred.Tremmel@iiv.de
- update to svn 12625
* Sun Mar 16 2008 Manfred.Tremmel@iiv.de
- update to svn 12464
* Mon Mar  3 2008 Manfred.Tremmel@iiv.de
- update to svn 12299
* Tue Feb 19 2008 Manfred.Tremmel@iiv.de
- update to svn 12146
* Sat Feb  9 2008 Manfred.Tremmel@iiv.de
- update to svn 11889:
  Now with Ogg and AVM2 (Flash 9) SWF muxers, TechnoTrend PVA and
  Linux Media Labs MPEG-4 (LMLM4) demuxers, PC Paintbrush PCX and
  Sun Rasterfile decoders
- enabled pthreads support
* Sat Feb  2 2008 Manfred.Tremmel@iiv.de
- update to svn 11813
* Fri Dec 28 2007 Manfred.Tremmel@iiv.de
- update to svn 11346
- rebuild with new x264
* Sun Dec 23 2007 Manfred.Tremmel@iiv.de
- update to svn 11311
- build without altivec support on ppc, otherwise it crashes on
  G3 and older CPUs (seems the detection is broken at the moment)
* Fri Dec 21 2007 Manfred.Tremmel@iiv.de
- update to svn 11296
- included libdc1394 support
- renamed libffmpeg0-devel to libffmpeg-devel
* Tue Nov  6 2007 Manfred.Tremmel@iiv.de
- update to svn 10937
- switched from libdts to libdca package, which now contains libdts library
* Sat Oct 27 2007 Manfred.Tremmel@iiv.de
- update to svn 10865, codecs like AMV audio and video,
  PAFF decoding for H.264, Nellymoser speech codec and
  Beam Software SIFF where included inbetween
* Sun Sep  2 2007 Manfred.Tremmel@iiv.de
- update to svn 10279
- build against new amrnb and amrwb packages
* Tue Jul 24 2007 Manfred.Tremmel@iiv.de
- update to svn 9790, new libswscale is needed for WengoPhone
* Thu Jul  5 2007 Manfred.Tremmel@iiv.de
- update to svn 9487
- using now external amrnb and amrwb packages
* Sat Feb 24 2007 Manfred.Tremmel@iiv.de
- update to svn 8115 to fix missing ac3 support
- enabled libgsm support for SUSE >= 10.1
* Sun Feb 18 2007 Manfred.Tremmel@iiv.de
- update to svn 8019
- changed configure file to enable -ldl, which seems to solve
  problems on some installations
* Thu Feb  8 2007 Manfred.Tremmel@iiv.de
- update to svn 7882, fixes vp6f decoding
* Thu Feb  1 2007 Manfred.Tremmel@iiv.de
- update to svn 7796
- changed options to make it compile on SUSE <= 10.0 again
* Sat Jan 20 2007 Manfred.Tremmel@iiv.de
- update to svn 7591 and disabled gprof for ix86 to fixe
  compile without ugly hacks
- other compiler optimisation changes to fix segfaults
* Thu Jan  4 2007 Manfred.Tremmel@iiv.de
- another svn build, Revision 7407
- added a patch to fix problems in libavutil/common.h
* Thu Dec 21 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 7349
- added a ugly hack to enable the build again on x86
- fixed provides entry
* Sun Oct  8 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 6589
- enabled libdts support
* Sun Sep 24 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 6328
- removed -03 optimation in configure file, doesn't compile with
  gcc < 4 (SUSE 9.3 and below)
* Mon Sep 18 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 6288
* Thu Aug 17 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 6005
* Tue Aug 15 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 5999
- rebuild with new faac 1.25 and faad2 2.5
- disabled x264 for older SUSE versions, there is no actuall x264 package
* Fri Aug 11 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 5982
- added [percent]suse_update_libdir -f configure to fix x86_64 problems
* Sat Jun 24 2006 Manfred.Tremmel@iiv.de
- rebuild of latest svn version
* Sat Jun 10 2006 Manfred.Tremmel@iiv.de
- rebuild of latest svn version
* Thu Apr 27 2006 leon@links2linux.de
- bumped the release (compiled against a new x264 version)
* Fri Apr  7 2006 Manfred.Tremmel@iiv.de
- rebuild of latest cvs version
- enabled x264 support
- removed pic from libavcodec/libpostproc/Makefile, doesn't compile
  on x86 with pic
* Wed Apr  5 2006 Manfred.Tremmel@iiv.de
- some little changes for SUSE 10.1 thanks to Detlef Reichelt
- removed vc1 (WMV) support (legaly reasons)
* Sat Feb 18 2006 Manfred.Tremmel@iiv.de
- rebuild of latest cvs version
- added vc1 (WMV) support
* Wed Feb  1 2006 Manfred.Tremmel@iiv.de
- rebuild of latest cvs version
* Sun Jan 22 2006 Manfred.Tremmel@iiv.de
- added provides entries for x86_64
* Fri Jan 13 2006 Manfred.Tremmel@iiv.de
- rebuild of latest cvs version
* Sun Oct 16 2005 Manfred.Tremmel@iiv.de
- added a fix for pkgconfig sent by Andreas Hanke
* Sun Oct  9 2005 Manfred.Tremmel@iiv.de
- enabled a lot of codecs
* Sun Sep 18 2005 Manfred.Tremmel@iiv.de
- cvs version for SUSE 10.0, last stable doesn't compile with gcc 4
* Tue Nov 23 2004 detlef@dreichelt.de
- changes for x86_64:
  - added CFLAGS= -fPIC
  - added patch for
  - edit libavcodec/Makefile  /lib --> /lib64
  - edit libavformat/Makefile /lib --> /lib64
  - edit vhook/Makefile       /lib --> /lib64
* Sun Oct 31 2004 Manfred.Tremmel@iiv.de
- added --enable-a52 --enable-faad
* Fri Oct 29 2004 Manfred.Tremmel@iiv.de
- update to 0.4.9 pre1
- added --enable-gpl
* Mon May 17 2004 Manfred.Tremmel@iiv.de
- added --enable-pp to configure for Rainers vlc package
* Mon May  3 2004 Manfred.Tremmel@iiv.de
- some little changes for SuSE 9.1
* Fri Oct  3 2003 Manfred.Tremmel@iiv.de
- update to 0.4.8 final
* Sat Aug 30 2003 Manfred.Tremmel@iiv.de
- update to 0.4.7 final
* Thu Mar 27 2003 Manfred.Tremmel@iiv.de
- added packman headers
- added german translations
* Sat Dec 28 2002 Manfred.Tremmel@iiv.de
- update to 0.4.6 final
* Sat Dec 21 2002 Manfred.Tremmel@iiv.de
- compile for SuSE
- update to current cvs
* Sun Dec 15 2002 yves@zarb.org
- use make installlib instead of doing it by hand.
- added a symlink [percent]_libdir/libavcodec/libavcodec.a to .. for some soft that
  search libavcodec.a here.
* Mon Dec  9 2002 waschk@linux-mandrake.com
- add avformat stuff for gstreamer
- add vhook plugins
- build with imlib2 support
- new snapshot
* Mon Oct 28 2002 waschk@linux-mandrake.com
- latest CVS snapshot
* Mon Aug 19 2002 han@linux-mandrake.com
- update a bit
- Minor cleanups
* Wed Jul 10 2002 waschk@linux-mandrake.com
- change the major to 0.4.6
- new cvs snapshot
* Thu Jun  6 2002 g.rousse@linux-mandrake.com
- updated snapshot
- fixed build
- disabled mmx :-(
- documentation for main package only
- added missing binaries
* Sat May 18 2002 yduret@mandrakesoft.com
- include libavcodec.a (no official release with a stable API -> static linking).
- fix FAQ missing (now in doc/FAQ).
* Wed May 15 2002 g.rousse@linux-mandrake.com
- fixed wrong release
* Wed May  8 2002 g.rousse@linux-mandrake.com
- added missing provides
* Wed Apr 17 2002 waschk@linux-mandrake.com
- update to CVS snapshot
- build shared library
- split package
- don't use [percent]configure, it's not an autoconf script
- add header files
* Mon Sep 10 2001 lenny@mandrakesoft.com
- added in contribs by Götz Waschk <waschk@linux-mandrake.com> :
- removed ffserver, because it doesn't work according to the FAQ
- initial package
